KWIN_GET_PIXEL_RGB_VALUES(3)

EXPERIMENTAL_FUNC
kwin_get_pixel_RGB_values - Get RGB components of pixel values.

SYNOPSIS
#include <karma_kwin.h>

flag kwin_get_pixel_RGB_values

(KPixCanvas canvas, unsigned long *pixels, unsigned short *reds, unsigned short *greens, unsigned short *blues, unsigned int num_colours)

DESCRIPTION
This routine will determine the RGB components of an array of colourmap entries.

canvas
    The pixel canvas.

pixels
    The array of colourmap indices.

reds
    The red components will be written to this array.

greens
    The green components will be written to this array.

blues
    The blue components will be written to this array.

num_colours
    The number of colours in the arrays.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/